Subject: bug#56475: 28.1.50; bibtex-parse-entry disregards @string substitutions

From: Roland Winkler <[email-masked]>
Date: Mon, 11 Jul 2022 12:29:18 -0500

On Mon, Jul 11 2022, Roland Winkler wrote:
> The arg CONTENT of bibtex-parse-entry is passed on to
> bibtex-text-in-field-bounds that gives you a more complete description
> of what it does.  So I believe binding bibtex-expand-strings to t while
> calling bibtex-parse-entry with arg CONTENT non-nil should do the job.

I should add: The code in bibtex.el that relies on this is bibtex-url,
which in turn relies on font-lock to activate clickable links in your
bib files.  Users may or may not want to expand strings for their rules
defined in bibtex-generate-url-list.

If I understand your issue correctly you probably want to let-bind the
user variable bibtex-expand-strings while calling bibtex-parse-entry so
that your code works irrespective of what users have chosen for
bibtex-expand-strings.